package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ScoreRoomDetailMapper;
import com.ruoyi.system.domain.ScoreRoomDetail;
import com.ruoyi.system.service.IScoreRoomDetailService;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-10-30
 */
@Service
public class ScoreRoomDetailServiceImpl implements IScoreRoomDetailService 
{
    @Autowired
    private ScoreRoomDetailMapper scoreRoomDetailMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param detailId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public ScoreRoomDetail selectScoreRoomDetailByDetailId(Long detailId)
    {
        return scoreRoomDetailMapper.selectScoreRoomDetailByDetailId(detailId);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param scoreRoomDetail 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<ScoreRoomDetail> selectScoreRoomDetailList(ScoreRoomDetail scoreRoomDetail)
    {
        return scoreRoomDetailMapper.selectScoreRoomDetailList(scoreRoomDetail);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param scoreRoomDetail 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertScoreRoomDetail(ScoreRoomDetail scoreRoomDetail)
    {
        return scoreRoomDetailMapper.insertScoreRoomDetail(scoreRoomDetail);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param scoreRoomDetail 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateScoreRoomDetail(ScoreRoomDetail scoreRoomDetail)
    {
        return scoreRoomDetailMapper.updateScoreRoomDetail(scoreRoomDetail);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param detailIds 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteScoreRoomDetailByDetailIds(Long[] detailIds)
    {
        return scoreRoomDetailMapper.deleteScoreRoomDetailByDetailIds(detailIds);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param detailId 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteScoreRoomDetailByDetailId(Long detailId)
    {
        return scoreRoomDetailMapper.deleteScoreRoomDetailByDetailId(detailId);
    }
}
